[HarfBuzz] harfbuzz-ng: Branch 'master' - 3 commits

Behdad Esfahbod behdad at kemper.freedesktop.org
Thu Jan 26 23:23:33 PST 2012


 git.mk                        |   44 +++++++++++++++++++++++++++++++-----------
 src/check-header-guards.sh    |    2 -
 src/check-internal-symbols.sh |   21 ++++++++++++--------
 src/check-libstdc++.sh        |   21 ++++++++++++--------
 4 files changed, 60 insertions(+), 28 deletions(-)

New commits:
commit bee74efbdebc4e46ce57daa8a88bcf06b13411fe
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Fri Jan 27 02:14:08 2012 -0500

    Update git.mk to new upstream

diff --git a/git.mk b/git.mk
index 088ef0b..ff5c0c3 100644
--- a/git.mk
+++ b/git.mk
@@ -1,18 +1,20 @@
 # git.mk
 #
 # Copyright 2009, Red Hat, Inc.
+# Copyright 2010,2011 Behdad Esfahbod
 # Written by Behdad Esfahbod
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
 # notice and this notice are preserved.
 #
-# The canonical source for this file is pango/git.mk, or whereever the
-# header of pango/git.mk suggests in the future.
+# The canonical source for this file is https://github.com/behdad/git.mk.
 #
 # To use in your project, import this file in your git repo's toplevel,
 # then do "make -f git.mk".  This modifies all Makefile.am files in
-# your project to include git.mk.
+# your project to -include git.mk.  Remember to add that line to new
+# Makefile.am files you create in your project, or just rerun the
+# "make -f git.mk".
 #
 # This enables automatic .gitignore generation.  If you need to ignore
 # more files, add them to the GITIGNOREFILES variable in your Makefile.am.
@@ -22,7 +24,7 @@
 #
 # The only case that you need to manually add a file to GITIGNOREFILES is
 # when remove files in one of mostlyclean-local, clean-local, distclean-local,
-# or maintainer-clean-local.
+# or maintainer-clean-local make targets.
 #
 # Note that for files like editor backup, etc, there are better places to
 # ignore them.  See "man gitignore".
@@ -30,17 +32,17 @@
 # If "make maintainer-clean" removes the files but they are not recognized
 # by this script (that is, if "git status" shows untracked files still), send
 # me the output of "git status" as well as your Makefile.am and Makefile for
-# the directories involved.
+# the directories involved and I'll diagnose.
 #
 # For a list of toplevel files that should be in MAINTAINERCLEANFILES, see
-# pango/Makefile.am.
+# Makefile.am.sample in the git.mk git repo.
 #
 # Don't EXTRA_DIST this file.  It is supposed to only live in git clones,
 # not tarballs.  It serves no useful purpose in tarballs and clutters the
 # build dir.
 #
 # This file knows how to handle autoconf, automake, libtool, gtk-doc,
-# gnome-doc-utils, intltool.
+# gnome-doc-utils, yelp.m4, mallard, intltool, gsettings.
 #
 #
 # KNOWN ISSUES:
@@ -57,7 +59,8 @@ git-all: git-mk-install
 
 git-mk-install:
 	@echo Installing git makefile
-	@any_failed=; find $(top_srcdir) -name Makefile.am | while read x; do \
+	@any_failed=; \
+		find "`test -z "$(top_srcdir)" && echo . || echo "$(top_srcdir)"`" -name Makefile.am | while read x; do \
 		if grep 'include .*/git.mk' $$x >/dev/null; then \
 			echo $$x already includes git.mk; \
 		else \
@@ -93,18 +96,33 @@ $(srcdir)/.gitignore: Makefile.am $(top_srcdir)/git.mk
 				xml html \
 			; do echo /$$x; done; \
 		fi; \
-		if test "x$(DOC_MODULE)" = x -o "x$(DOC_LINGUAS)" = x; then :; else \
+		if test "x$(DOC_MODULE)$(DOC_ID)" = x -o "x$(DOC_LINGUAS)" = x; then :; else \
 			for x in \
 				$(_DOC_C_DOCS) \
 				$(_DOC_LC_DOCS) \
 				$(_DOC_OMF_ALL) \
 				$(_DOC_DSK_ALL) \
 				$(_DOC_HTML_ALL) \
+				$(_DOC_MOFILES) \
 				$(_DOC_POFILES) \
+				$(DOC_H_FILE) \
 				"*/.xml2po.mo" \
 				"*/*.omf.out" \
 			; do echo /$$x; done; \
 		fi; \
+		if test "x$(HELP_ID)" = x -o "x$(HELP_LINGUAS)" = x; then :; else \
+			for x in \
+				$(_HELP_LC_FILES) \
+				$(_HELP_LC_STAMPS) \
+				$(_HELP_MOFILES) \
+			; do echo /$$x; done; \
+		fi; \
+		if test "x$(gsettings_SCHEMAS)" = x; then :; else \
+			for x in \
+				$(gsettings_SCHEMAS:.xml=.valid) \
+				$(gsettings__enum_file) \
+			; do echo /$$x; done; \
+		fi; \
 		if test -f $(srcdir)/po/Makefile.in.in; then \
 			for x in \
 				po/Makefile.in.in \
@@ -159,6 +177,7 @@ $(srcdir)/.gitignore: Makefile.am $(top_srcdir)/git.mk
 			"*.bak" \
 			"*~" \
 			".*.sw[nop]" \
+			".dirstamp" \
 		; do echo /$$x; done; \
 	} | \
 	sed "s@^/`echo "$(srcdir)" | sed 's/\(.\)/[\1]/g'`/@/@" | \
@@ -172,8 +191,11 @@ gitignore-recurse-maybe:
 		$(MAKE) $(AM_MAKEFLAGS) gitignore-recurse; \
 	fi;
 gitignore-recurse:
-	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
-	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) .gitignore gitignore-recurse || echo "Skipping $$subdir"); \
+	@for subdir in $(DIST_SUBDIRS); do \
+	  case " $(SUBDIRS) " in \
+	    *" $$subdir "*) :;; \
+	    *) test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) .gitignore gitignore-recurse || echo "Skipping $$subdir");; \
+	  esac; \
 	done
 gitignore: $(srcdir)/.gitignore gitignore-recurse
 
commit 134aa7bc7e3f9b9de76c9de2ed4b7344a7b323f9
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Fri Jan 27 02:09:40 2012 -0500

    Make checks more OS X friendly

diff --git a/src/check-internal-symbols.sh b/src/check-internal-symbols.sh
index a2f32b1..a24a693 100755
--- a/src/check-internal-symbols.sh
+++ b/src/check-internal-symbols.sh
@@ -14,15 +14,20 @@ else
 	exit 77
 fi
 
-so=.libs/libharfbuzz.so
-if test -f "$so"; then
-	echo "Checking that we are exposing internal symbols"
-	if nm $so | grep ' T ' | grep -v ' T _fini\>\| T _init\>\| T hb_'; then
-		echo "Ouch, internal symbols exposed"
-		stat=1
+tested=false
+for suffix in so; do
+	so=.libs/libharfbuzz.$suffix
+	if test -f "$so"; then
+		echo "Checking that we are exposing internal symbols"
+		if nm $so | grep ' T ' | grep -v ' T _fini\>\| T _init\>\| T hb_'; then
+			echo "Ouch, internal symbols exposed"
+			stat=1
+		fi
+		tested=true
 	fi
-else
-	echo "check-internal-symbols.sh: libharfbuzz.so not found; skipping test"
+done
+if ! $tested; then
+	echo "check-internal-symbols.sh: libharfbuzz shared library not found; skipping test"
 	exit 77
 fi
 
diff --git a/src/check-libstdc++.sh b/src/check-libstdc++.sh
index bbc8ac3..0521532 100755
--- a/src/check-libstdc++.sh
+++ b/src/check-libstdc++.sh
@@ -14,15 +14,20 @@ else
 	exit 77
 fi
 
-so=.libs/libharfbuzz.so
-if test -f "$so"; then
-	echo "Checking that we are not linking to libstdc++"
-	if ldd $so | grep 'libstdc[+][+]'; then
-		echo "Ouch, linked to libstdc++"
-		stat=1
+tested=false
+for suffix in so dylib; do
+	so=.libs/libharfbuzz.$suffix
+	if test -f "$so"; then
+		echo "Checking that we are not linking to libstdc++"
+		if ldd $so | grep 'libstdc[+][+]'; then
+			echo "Ouch, linked to libstdc++"
+			stat=1
+		fi
+		tested=true
 	fi
-else
-	echo "check-libstdc++.sh: libharfbuzz.so not found; skipping test"
+done
+if ! $tested; then
+	echo "check-internal-symbols.sh: libharfbuzz shared library not found; skipping test"
 	exit 77
 fi
 
commit 6152199368399bf98368ea3c794fa760b49756ba
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Fri Jan 27 01:57:59 2012 -0500

    Fix check-header-guards on OS X

diff --git a/src/check-header-guards.sh b/src/check-header-guards.sh
index 4dd2a0b..af9fa7f 100755
--- a/src/check-header-guards.sh
+++ b/src/check-header-guards.sh
@@ -15,7 +15,7 @@ for x in $HBHEADERS $HBSOURCES; do
 	echo "$x" | grep '[^h]$' -q && continue;
 	xx=`echo "$x" | sed 's at .*/@@'`
 	tag=`echo "$xx" | tr 'a-z.-' 'A-Z_'`
-	lines=`grep "\<$tag\>" "$x" | wc -l | sed 's/ 	//g'`
+	lines=`grep "\<$tag\>" "$x" | wc -l | sed 's/[ 	]*//g'`
 	if test "x$lines" != x3; then
 		echo "Ouch, header file $x does not have correct preprocessor guards"
 		stat=1



More information about the HarfBuzz mailing list